Subject: RE: pb with GBD (B20.1)
From: [email-masked] (Bernard DAUTREVAUX)

16 Dec 1998 17:05:21 -0800
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "'Christine Pourcelot'" <[email-masked]>,
        "[email-masked]" <[email-masked]>

> -----Original Message-----
> From:	Christine Pourcelot [SMTP:[email-masked]]
> Sent:	Monday, December 14, 1998 12:59
> To:	[email-masked]
> Subject:	pb with GBD (B20.1)
>
> Hi,
> I got some problem while trying to use GDB with cygwin B20.1 :
>
> Current directory is c:/scrhypp/src/
> GNU gdb 4.17.1
> Copyright 1998 Free Software Foundation, Inc.
> GDB is free software, covered by the GNU General Public License, and you are
> welcome to change it and/or distribute copies of it under certain conditions.
> Type "show copying" to see the conditions.
> There is absolutely no warranty for GDB.  Type "show warranty" for details.
> This GDB was configured as "i586-cygwin32"...
> (gdb) run
> Starting program: /scrhypp/src/sch.exe
> 61000000:/cygnus/cygwin-b20/H-i586-cygwin32/bin/cygwin1.dll
>
> [failed reading symbols from DLL]
> "/WINNT/system32/advapi32.dll": error reading line numbers
>
>
> [failed reading symbols from DLL]
> "/WINNT/system32/KERNEL32.dll": error reading line numbers
>
> 77e70000:/WINNT/system32/USER32.dll
> 77ed0000:/WINNT/system32/GDI32.dll
> 77e10000:/WINNT/system32/RPCRT4.dll
> 776c0000:/WINNT/system32/wsock32.dll
>
> [failed reading symbols from DLL]
> "/WINNT/system32/WS2_32.dll": error reading line numbers
>
> 779e0000:/WINNT/system32/MSVCRT.dll
>
> [failed reading symbols from DLL]
> "/WINNT/system32/WS2HELP.dll": error reading line numbers
>
> 5f810000:/WINNT/System32/rpcltc1.dll
>
> Program received signal SIGSEGV, Segmentation fault.
> 0x406163 in command_interpret (ptv=0x443ae4, line=0xa03171c "") at rcrv.c:107
> (gdb)
>
> Am I doing something wrong ?
> Please, help !
>

No, not something especially wrong (at least as I suspect that if you try to 
use gdb that's because your program fails...); thus GDB says you that your 
program generates a Segmentation fault in function command_interpret, file 
rcrv.c, line 107.

All the "[failed reading symbols from DLL]" can be safely ignored; they simply 
says that DLL are compiled without debugging information... (note to GDB 
developpers/porters: probably gdb could detect this is not an error, and not 
display these annoying messages...)

Regards,

	Bernard

> [email-masked]
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

------------------------------------------------------------------------------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel: +33 (0) 1 47 68 80 80
Fax: +33 (0) 1 47 88 97 85
e-mail: b. [email-masked]
------------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".